API

Restart company fiscalization onboarding

Archives the current Invopop connection and starts a new onboarding when the company Tax ID changes.

POST/v1/hq/fiscalizations/companies/{company_id}/onboarding/restart

Authorization

BearerTokenAuth

AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

company_id*string
Example"dwawd8awudawd"

Request Body

application/json

data?|

Response Body

application/json

curl -X POST "https://api.noona.is/v1/hq/fiscalizations/companies/dwawd8awudawd/onboarding/restart" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "provider": "SaltPay",
    "saltpay_company": "7awdXwZoedakjad37a",
    "saltpay_store": "7awdXwZoedakjad37a",
    "fiscal_code": "1234567890",
    "tax_credentials_username": "username",
    "tax_credentials_password": "password",
    "series": [
      "string"
    ]
  }
}
Empty
Empty
Empty
Empty